(***********************************************************************)
(*                                                                     *)
(*                             Pio (OCaml)                             *)
(*                                                                     *)
(*                    Polyglot Input/Output Library                    *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2004-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: debug_io.ml,v 1.2 2011-02-23 17:43:29 fclement Exp $ *)

let get_report, get_debug, fatal_error =
  My_command_option.add_report_and_debug_flags "Io" "io";;

(* to be used inside an assert statement, hence the boolean result *)
let debug fun_name msg =
  if get_debug () then prerr_endline (Printf.sprintf "%s: %s" fun_name msg);
  true;;
